Skip to main content
PUT
/
inventory
/
upsert
Inventory - Upsert
curl --request PUT \
  --url https://api.skulabs.com/inventory/upsert \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "location_name": "<string>",
  "item_id": "<string>",
  "on_hand": 123,
  "alert": 123,
  "notes": "<string>"
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
location_name
string
required

Location name to upsert inventory at

item_id
string
required

Item ID

on_hand
number
required

On-hand quantity to set

alert
number

Low-stock alert threshold

notes
string

Notes for the inventory change

Response

Inventory upserted

success
boolean
required

Whether the operation succeeded